# TURBOMOLE DFT (BLYP) single point energy
from chemsh import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")

# default functional is 'blyp'
# default: convergence='tightscf'
basis = """
$atoms
o 1
basis =o SVP
h 2,3
basis =h 6-31G
"""

turbomole = TURBOMOLE(
    frag=water, method="dft", functional="b-lyp", basis=basis, convergence=8
)

sp = SP(theory=turbomole)

sp.run()

ecalc = sp.result.energy
# From a manually checked TURBOMOLE file
eref = -76.329481070050

testutils.validate(ecalc, eref)
